


Project "srecord.1.2"                                            Page 1
List of Changes                                Wed May 12 13:02:46 1999

Change  State           Description
------- -------         -------------
  10    completed       prepare for release
  11    completed       better implementation pragmas
  12    completed       OR data filter
  13    completed       AND data filter
  14    completed       XOR data filter
  15    completed       binary files



Project "srecord.1.2", Change 10                                 Page 1
Change Details                                 Wed May 12 13:02:46 1999

NAME
        Project "srecord.1.2", Delta 1, Change 10.

SUMMARY
        prepare for release

DESCRIPTION
        This change prepares this next version for release.  The
        releases are post-numbered.

        This change must pass a full regression test.  This change is
        exempt from testing against the development directory.  This
        change is exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  create    1.1         etc/CHANGES.1.1
        source  modify   1.10 -> 1.11 etc/Howto.cook
        source  modify    1.4 -> 1.5  etc/Makefile.head
        source  modify    1.5 -> 1.6  etc/Makefile.sh
        source  modify    1.4 -> 1.5  etc/configure.in
        source  create    1.1         etc/new.1.2.so
        source  modify    1.8 -> 1.9  etc/spec.sh
        source  modify    1.8 -> 1.9  etc/srecord.lsm
        source  modify    1.2 -> 1.3  man/man5/srec_tektronix.5

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Wed Nov  4      pmiller
                        22:09:26 1998
        develop_begin   Wed Nov  4      pmiller  Elapsed time: 1.000
                        22:09:29 1998            days.
        develop_end     Thu Nov  5      pmiller
                        10:48:13 1998
        review_pass     Thu Nov  5      pmiller
                        10:48:17 1998
        integrate_begin Thu Nov  5      pmiller
                        10:48:20 1998
        integrate_pass  Thu Nov  5      pmiller
                        10:49:49 1998



Project "srecord.1.2", Change 11                                 Page 1
Change Details                                 Wed May 12 13:02:46 1999

NAME
        Project "srecord.1.2", Delta 2, Change 11.

SUMMARY
        better implementation pragmas

DESCRIPTION
        This change improves the use of the #pragma implementation and
        #pragma interface to cope with older and dumber G++ versions.

        This change must pass a full regression test.  This change is
        exempt from testing against the development directory.  This
        change is exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_improvement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.2 -> 1.3  etc/template/cc
        source  modify    1.3 -> 1.4  etc/template/h
        source  modify    1.3 -> 1.4  include/arglex.h
        source  modify    1.3 -> 1.4  include/interval.h
        source  modify   1.14 -> 1.15 include/srec/arglex.h
        source  modify    1.3 -> 1.4  include/srec/input.h
        source  modify    1.6 -> 1.7  include/srec/input/file.h
        source  modify    1.2 -> 1.3  include/srec/input/file/binary.h
        source  modify    1.6 -> 1.7  include/srec/input/file/intel.h
        source  modify    1.3 -> 1.4  include/srec/input/file/srecord.h
        source  modify    1.2 -> 1.3  include/srec/input/file/
                                      tektronix.h
        source  modify    1.3 -> 1.4  include/srec/input/filter.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/
                                      checksum.h
        source  modify    1.3 -> 1.4  include/srec/input/filter/crop.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/fill.h
        source  modify    1.3 -> 1.4  include/srec/input/filter/
                                      length.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/
                                      maximum.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/
                                      minimum.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/
                                      offset.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/split.h
        source  modify    1.2 -> 1.3  include/srec/input/filter/
                                      unsplit.h
        source  modify    1.4 -> 1.5  include/srec/memory.h
        source  modify    1.2 -> 1.3  include/srec/memory/chunk.h
        source  modify    1.2 -> 1.3  include/srec/memory/walker.h
        source  modify    1.2 -> 1.3  include/srec/memory/walker/



Project "srecord.1.2", Change 11                                 Page 2
Change Details                                 Wed May 12 13:02:46 1999

        Type    Action   Edit         File Name
        ------- -------- -------      -----------
                                      writer.h
        source  modify    1.2 -> 1.3  include/srec/output.h
        source  modify    1.5 -> 1.6  include/srec/output/file.h
        source  modify    1.2 -> 1.3  include/srec/output/file/binary.h
        source  modify    1.2 -> 1.3  include/srec/output/file/c.h
        source  modify    1.4 -> 1.5  include/srec/output/file/intel.h
        source  modify    1.2 -> 1.3  include/srec/output/file/
                                      srecord.h
        source  modify    1.2 -> 1.3  include/srec/output/file/
                                      tektronix.h
        source  modify    1.5 -> 1.6  include/srec/record.h
        source  modify    1.2 -> 1.3  include/srecord/input/filter/
                                      fill.h
        source  modify    1.3 -> 1.4  lib/common/arglex.cc
        source  modify    1.4 -> 1.5  lib/common/interval.cc
        source  modify   1.15 -> 1.16 lib/srec/arglex.cc
        source  modify    1.4 -> 1.5  lib/srec/input.cc
        source  modify    1.7 -> 1.8  lib/srec/input/file.cc
        source  modify    1.2 -> 1.3  lib/srec/input/file/binary.cc
        source  modify    1.6 -> 1.7  lib/srec/input/file/intel.cc
        source  modify    1.4 -> 1.5  lib/srec/input/file/srecord.cc
        source  modify    1.3 -> 1.4  lib/srec/input/file/tektronix.cc
        source  modify    1.3 -> 1.4  lib/srec/input/filter.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/checksum.cc
        source  modify    1.3 -> 1.4  lib/srec/input/filter/crop.cc
        source  modify    1.3 -> 1.4  lib/srec/input/filter/fill.cc
        source  modify    1.3 -> 1.4  lib/srec/input/filter/length.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/maximum.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/minimum.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/offset.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/split.cc
        source  modify    1.2 -> 1.3  lib/srec/input/filter/unsplit.cc
        source  modify    1.4 -> 1.5  lib/srec/memory.cc
        source  modify    1.2 -> 1.3  lib/srec/memory/chunk.cc
        source  modify    1.2 -> 1.3  lib/srec/memory/walker.cc
        source  modify    1.2 -> 1.3  lib/srec/memory/walker/writer.cc
        source  modify    1.3 -> 1.4  lib/srec/output.cc
        source  modify    1.6 -> 1.7  lib/srec/output/file.cc
        source  modify    1.2 -> 1.3  lib/srec/output/file/binary.cc
        source  modify    1.2 -> 1.3  lib/srec/output/file/c.cc
        source  modify    1.4 -> 1.5  lib/srec/output/file/intel.cc
        source  modify    1.3 -> 1.4  lib/srec/output/file/srecord.cc
        source  modify    1.2 -> 1.3  lib/srec/output/file/tektronix.cc
        source  modify    1.3 -> 1.4  lib/srec/record.cc

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Thu Nov  5      pmiller
                        13:12:43 1998
        develop_begin   Thu Nov  5      pmiller  Elapsed time: 2.622
                        13:12:47 1998            days.
        develop_end     Mon Nov  9      pmiller
                        17:52:48 1998
        review_pass     Mon Nov  9      pmiller



Project "srecord.1.2", Change 11                                 Page 3
Change Details                                 Wed May 12 13:02:46 1999

        What            When            Who      Comment
        ------          ------          -----    ---------
                        17:52:53 1998
        integrate_begin Mon Nov  9      pmiller
                        17:52:55 1998
        integrate_pass  Mon Nov  9      pmiller
                        17:59:02 1998



Project "srecord.1.2", Change 12                                 Page 1
Change Details                                 Wed May 12 13:02:46 1999

NAME
        Project "srecord.1.2", Delta 3, Change 12.

SUMMARY
        OR data filter

DESCRIPTION
        This change adds a filter allowing you to OR a constant into
        the data.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.1 -> 1.2  etc/new.1.2.so
        source  modify   1.15 -> 1.16 include/srec/arglex.h
        source  create    1.1         include/srec/input/filter/or.h
        source  modify    1.6 -> 1.7  include/srec/record.h
        source  modify   1.16 -> 1.17 lib/srec/arglex.cc
        source  create    1.1         lib/srec/input/filter/or.cc
        source  modify   1.15 -> 1.16 man/man1/o_input.so
        test    create    1.1         test/00/t0027a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Mon Nov  9      pmiller
                        17:39:10 1998
        develop_begin   Mon Nov  9      pmiller  Elapsed time: 0.090
                        17:39:13 1998            days.
        develop_end     Mon Nov  9      pmiller
                        18:19:40 1998
        review_pass     Mon Nov  9      pmiller
                        18:19:43 1998
        integrate_begin Mon Nov  9      pmiller
                        18:19:45 1998
        integrate_pass  Mon Nov  9      pmiller
                        18:22:39 1998



Project "srecord.1.2", Change 13                                 Page 1
Change Details                                 Wed May 12 13:02:46 1999

NAME
        Project "srecord.1.2", Delta 4, Change 13.

SUMMARY
        AND data filter

DESCRIPTION
        This change adds a bit-wise AND filter.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify   1.16 -> 1.17 include/srec/arglex.h
        source  create    1.1         include/srec/input/filter/and.h
        source  modify   1.17 -> 1.18 lib/srec/arglex.cc
        source  create    1.1         lib/srec/input/filter/and.cc
        test    create    1.1         test/00/t0028a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Tue Nov 10      pmiller
                        18:48:05 1998
        develop_begin   Tue Nov 10      pmiller  Elapsed time: 1.000
                        18:48:10 1998            days.
        develop_end     Wed Nov 11      pmiller
                        18:05:21 1998
        review_pass     Wed Nov 11      pmiller
                        18:06:33 1998
        integrate_begin Wed Nov 11      pmiller
                        18:06:35 1998
        integrate_pass  Wed Nov 11      pmiller
                        18:14:05 1998



Project "srecord.1.2", Change 14                                 Page 1
Change Details                                 Wed May 12 13:02:46 1999

NAME
        Project "srecord.1.2", Delta 5, Change 14.

SUMMARY
        XOR data filter

DESCRIPTION
        This change adds the xor data filter.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by internal_enhancement.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.2 -> 1.3  etc/new.1.2.so
        source  modify   1.17 -> 1.18 include/srec/arglex.h
        source  create    1.1         include/srec/input/filter/xor.h
        source  modify   1.18 -> 1.19 lib/srec/arglex.cc
        source  create    1.1         lib/srec/input/filter/xor.cc
        source  modify   1.16 -> 1.17 man/man1/o_input.so
        test    create    1.1         test/00/t0029a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Wed Nov 11      pmiller
                        18:21:17 1998
        develop_begin   Wed Nov 11      pmiller  Elapsed time: 1.000
                        18:21:48 1998            days.
        develop_end     Thu Nov 12      pmiller
                        17:48:31 1998
        review_pass     Thu Nov 12      pmiller
                        17:48:34 1998
        integrate_begin Thu Nov 12      pmiller
                        17:48:36 1998
        integrate_pass  Thu Nov 12      pmiller
                        17:54:29 1998



Project "srecord.1.2", Change 15                                 Page 1
Change Details                                 Wed May 12 13:02:47 1999

NAME
        Project "srecord.1.2", Delta 6, Change 15.

SUMMARY
        binary files

DESCRIPTION
        This change corrects a bug on Windows NT where binary files are
        being opened in text mode.  For Unix this doesn't matter, but
        for Windows NT this is a disaster.

        My thanks to Angel Jimenez Jimenez <angel.jimenez@ALCATEL.ES>
        for reporting this problem.

        This change must pass a full regression test.  This change is
        exempt from testing against the baseline.


ARCHITECTURE
        This change must build and test in the "linux-i486"
        architecture.

CAUSE
        This change was caused by external_bug.

FILES
        Type    Action   Edit         File Name
        ------- -------- -------      -----------
        source  modify    1.7 -> 1.8  include/srec/input/file.h
        source  modify    1.3 -> 1.4  include/srec/input/file/binary.h
        source  modify    1.6 -> 1.7  include/srec/output/file.h
        source  modify    1.3 -> 1.4  include/srec/output/file/binary.h
        source  modify    1.8 -> 1.9  lib/srec/input/file.cc
        source  modify    1.3 -> 1.4  lib/srec/input/file/binary.cc
        source  modify    1.5 -> 1.6  lib/srec/input/file/srecord.cc
        source  modify    1.7 -> 1.8  lib/srec/output/file.cc
        source  modify    1.3 -> 1.4  lib/srec/output/file/binary.cc
        test    create    1.1         test/00/t0030a.sh

HISTORY
        What            When            Who      Comment
        ------          ------          -----    ---------
        new_change      Wed May 12      pmiller
                        10:56:11 1999
        develop_begin   Wed May 12      pmiller  Elapsed time: 0.243
                        10:56:15 1999            days.
        develop_end     Wed May 12      pmiller
                        12:45:42 1999
        review_pass     Wed May 12      pmiller
                        12:45:54 1999
        integrate_begin Wed May 12      pmiller
                        12:45:58 1999
        integrate_pass  Wed May 12      pmiller
                        12:52:53 1999
